Download it now!
Bug 120057 - On Protect Sheet dialog can not access list item using keyboard only
Summary: On Protect Sheet dialog can not access list item using keyboard only
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-09-22 15:44 UTC by Tamás Zolnai
Modified: 2018-10-04 03:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2018-09-22 15:44:37 UTC
Description:
In general, in dialogs we can access all settings using only the keyboard. Mostly using TAB and arrow keys. However on Protect Sheet dialog we can't access the list widget with the label "Allow all users of this sheet to:".

Steps to Reproduce:
1. Open Calc
2. Open Tools -> Protect Sheet
3. Move the focus between widgets using TAB key

Actual Results:
TAB does not stop in the list at the bottom of the dialog.

Expected Results:
The list widget also should be selected / focused using TAB key.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2018-10-02 20:27:27 UTC
repro Version: 6.2.0.0.alpha0+
Build ID: e9c1cbce903d325b1e19602d72765511589f5bf2
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2;
Comment 3 Commit Notification 2018-10-03 19:07:22 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f5d890c242b8a092804991dba809f6f4287cfb2

tdf#120057: protect sheet dialog checklistbox should be can-focus

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-10-04 03:33:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20c72c0f79fa1d416c68537ecb914f197228eea5&h=libreoffice-6-1

tdf#120057: protect sheet dialog checklistbox should be can-focus

It will be available in 6.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.